class DecoratorMain {
    public static void main(String[] args) {
        System.out.println("Wzorzec Dekorator, tuningowanie pojazdów");
        Vehicle standardVehicle = new StandardVehicle();
        Vehicle vehicleToBeTuned = new StandardVehicle();
        Vehicle tunedVehicle = new SportVehicle(vehicleToBeTuned, 200);

        System.out.println("Jedziemy standardowym samochodem");
        standardVehicle.move();

        System.out.println("Jedziemy stuningowanym samochodem");
        tunedVehicle.move();
    }
}
